org.apache.ignite.internal.util.lang.gridfunc

## Class FlatCollectionWrapper<T>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - org.apache.ignite.internal.util.GridSerializableCollection<T>
    - - org.apache.ignite.internal.util.lang.gridfunc.FlatCollectionWrapper<T>

Type Parameters:
  `T` - Type of the inner collections.

All Implemented Interfaces:
  Serializable, Iterable<T>, Collection<T>

    public class FlatCollectionWrapper<T>
    extends GridSerializableCollection<T>

Wrapper which iterable over the elements of the inner collections.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FlatCollectionWrapper(Collection<? extends Collection<T>> cols)`

### Method Summary

Methods
`boolean` `isEmpty()`
`Iterator<T>` `iterator()`
`int` `size()`
`String` `toString()`

### Methods inherited from class java.util.AbstractCollection

`add, addAll, clear, contains, containsAll, remove, removeAll, retainAll, toArray, toArray`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`equals, hashCode`

### Constructor Detail

#### FlatCollectionWrapper

    public FlatCollectionWrapper(Collection<? extends Collection<T>> cols)

Parameters:
  `cols` - Input collection of collections.

### Method Detail

#### iterator

    @NotNull
    public Iterator<T> iterator()

Specified by:
  `iterator` in interface `Iterable<T>`
Specified by:
  `iterator` in interface `Collection<T>`
Specified by:
  `iterator` in class `AbstractCollection<T>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<T>`
Specified by:
  `size` in class `AbstractCollection<T>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<T>`
Overrides:
  `isEmpty` in class `AbstractCollection<T>`

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractCollection<T>`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017